Bug 197516 - Programs which uses pycairo (via pygtk2) traceback in start.
Programs which uses pycairo (via pygtk2) traceback in start.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pycairo (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-03 10:19 EDT by Anton Guda
Modified: 2013-03-13 00:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-10 07:24:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anton Guda 2006-07-03 10:19:39 EDT
Description of problem:
When some programs (like system-config-{printer,bind,network}, 
hal-device-manager ...) starts, it traceback with: 

[atu@nt ~]$ hal-device-manager
Traceback (most recent call last):
  File "/usr/bin/hal-device-manager", line 8, in ?
    import gtk
  File "/usr/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py", line 43, 
in ?
    from _gtk import *
  File "/usr/lib/python2.4/site-packages/cairo/__init__.py", line 1, in ?
    from _cairo import *
ImportError: /usr/lib/python2.4/site-packages/cairo/_cairo.so: undefined 
symbol: 
cairo_ps_surface_set_dpi_REPLACED_BY_cairo_surface_set_fallback_resolution

Version-Release number of selected component (if applicable):

cairo-1.1.10-1
pycairo-1.0.2-2
pygtk2-2.9.2-1


How reproducible:
always


Steps to Reproduce:
1. start system-config-printer, or hal-device-manager from console
  
Actual results:
traceback


Expected results:
work


Additional info:
Comment 1 Anton Guda 2006-07-10 07:24:01 EDT
Fixed in cairo-1.2.0, pycairo-1.2.0

Note You need to log in before you can comment on or make changes to this bug.